name: Build and deploy
run-name: Build and deploy
on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout 
        uses: actions/checkout@v4
        with:
          github-server-url: 'https://gitea.home.joemonk.co.uk'

      - name: Set up docker
        run: 'curl -fsSL https://get.docker.com | sh'

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Login to private registry
        uses: docker/login-action@v3
        with:
          registry: 'gitea.home.joemonk.co.uk/${{ github.repository }}'
          username: ${{ secrets.REGISTRY_USERNAME }}
          password: ${{ secrets.REGISTRY_PASSWORD }}

      - name: Build and push
        uses: docker/build-push-action@v6
        with:
          context: .
          push: true
          tags: |
            gitea.home.joemonk.co.uk/${{ gitea.repository }}:latest
            gitea.home.joemonk.co.uk/${{ gitea.repository }}:${{ gitea.sha }}
            gitea.home.joemonk.co.uk/${{ gitea.repository }}:${{ gitea.run_number }}